complexType "InterestRateStream"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 6 elements
Defined: | globally in fpml-ird-5-5.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | calculationPeriodDates, paymentDates, resetDates?, calculationPeriodAmount, principalExchanges?, settlementProvision?
</...>

Content Model Elements (6):

  calculationPeriodAmount,
  calculationPeriodDates,
  paymentDates (defined in InterestRateStream complexType),
  principalExchanges (defined in InterestRateStream complexType),
  resetDates,
  settlementProvision

All Direct / Indirect Based Elements (2):

  capFloorStream, swapStream

Known Usage Locations

- As direct type of elements (2):
  capFloorStream, swapStream

Annotation
A type defining the components specifiying an interest rate stream, including both a parametric and cashflow representation for the stream of payments.
Type Definition Detail

Type Derivation Tree Leg (extension) InterestRateStream

XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="InterestRateStream"> <xsd:complexContent> <xsd:extension base="Leg"> <xsd:sequence> <!--View Generation: SKIPPED - PartySpecific--> <xsd:element name="calculationPeriodDates" type="CalculationPeriodDates"/> <xsd:element name="paymentDates" type="PaymentDates"/> <xsd:element minOccurs="0" name="resetDates" type="ResetDates"/> <xsd:element name="calculationPeriodAmount" type="CalculationPeriodAmount"/> <!--View Generation: SKIPPED stubCalculationPeriodAmount - NonStandardFeature--> <xsd:element minOccurs="0" name="principalExchanges" type="PrincipalExchanges"/> <!--View Generation: SKIPPED cashflows - Unsupported--> <xsd:element minOccurs="0" name="settlementProvision" type="SettlementProvision"/> <!--View Generation: SKIPPED formula - NonStandardFeature--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 6/6)
calculationPeriodAmount

  Type: | CalculationPeriodAmount, complex content

  The calculation period amount parameters.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="calculationPeriodAmount" type="CalculationPeriodAmount"/>

calculationPeriodDates

  Type: | CalculationPeriodDates, complex content

  The calculation periods dates schedule.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="calculationPeriodDates" type="CalculationPeriodDates"/>

paymentDates

  Type: | PaymentDates, complex content

  The payment dates schedule.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="paymentDates" type="PaymentDates"/>

principalExchanges

  Type: | PrincipalExchanges, complex content

  The true/false flags indicating whether initial, intermediate or final exchanges of principal should occur.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="principalExchanges" type="PrincipalExchanges"/>

resetDates

  Type: | ResetDates, complex content

  The reset dates schedule. The reset dates schedule only applies for a floating rate stream.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="resetDates" type="ResetDates"/>

settlementProvision

  Type: | SettlementProvision, complex content

  A provision that allows the specification of settlement terms, occuring when the settlement currency is different to the notional currency of the trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="settlementProvision" type="SettlementProvision"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.